View Issue Details

IDProjectCategoryView StatusLast Update
0001357Ham Radio DeluxeBugpublic2018-05-13 15:26
ReporterSupport 
Assigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformpcOSwinOS Version
Product Version 
Target VersionFixed in Version6.4.0.840 
Summary0001357: PSKReporter
DescriptionPSK reporter is sporadic for me. When I try the test button, it sometimes
informs me that my local call sign is missing even though it is in the Tags.
Additional InformationReported by kb3ff
TagsNo tags attached.
ModuleDM780
Sub-ModulePSK Reporter
Testing Beta Successful

Relationships

Activities

WA9PIE

2014-02-02 15:01

administrator   ~0000312

We're not assigning them until just before they go to the "List of 5".

n4kit

2017-08-18 10:00

viewer   ~0004037

Attempted to contact user, email bounced. Unable to replicate, recommend close without action

K7ZCZ

2018-04-14 18:31

manager   ~0004822

The tests are a bit confusing; a couple are indeed negative tests, designed to cause the API to fail. While there was already a message in the output window about some of the tests being designed to fail, it wasn't clear which ones were meant to result in an error and which ones were meant to get a success result back from the API.

I've added a bit of code that generates a message for each test that says if it passed or failed to clarify the output. I don't think there's anything else to do for this issue.

K7ZCZ

2018-04-14 18:34

manager   ~0004823

Fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4054

WA9PIE

2018-05-12 01:04

administrator   ~0005001

We need a tester for PSK Reporter.

k2dls

2018-05-12 12:56

viewer   ~0005021

Test a number of times, each test showed PASSED.

There were references in the messages to a missing remote callsign and no local callsign specified, but I don't know if this is as designed.

vk2byi

2018-05-12 18:55

viewer   ~0005024

Also ran the test a number of times and all pass.

Test 1 displays status '- 1 No callsign was specified for the local station' and I can see that the 'Local' line does not contain the 'station_callsign,w4pc' parameter pair which are included in subsequent tests.

Test 7 displays status '-1 Missing remote callsign' and I can see that the 'Remote' line does not contain the 'call,wa9pie' parameter pair which are included in previous tests.

This sort of makes sense to me - omitting the local call in Test 1 and the remote call in Test 7 results in the appropriate status in each case. Refer to the yellow and green highlighting in my test case results as attached.

Test Results Mantis 0001357.jpg (427,913 bytes)

vk2byi

2018-05-12 19:41

viewer   ~0005026

Retested in 6.4.0.839 with same results - all pass.

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Status new => assigned
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:30 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2013-12-24 20:36 WA9PIE Release => (select)
2013-12-24 20:36 WA9PIE Module => (select)
2013-12-24 20:36 WA9PIE Sub-Module => (select)
2013-12-24 20:36 WA9PIE Report Build => (select)
2013-12-24 20:36 WA9PIE Assigned To Support =>
2013-12-24 20:36 WA9PIE Reproducibility @0@ => N/A
2014-01-31 23:49 WA9PIE Description Updated View Revisions
2014-02-02 14:33 WA9PIE Summary PSKReporter => Bug: PSKReporter
2014-02-02 15:01 WA9PIE Status assigned => acknowledged
2014-02-02 15:01 WA9PIE Note Added: 0000312
2014-02-02 16:39 WA9PIE View Status private => public
2015-09-17 13:05 WA9PIE Module (select) => DM780
2015-09-17 13:17 WA9PIE Category DM-780 => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 13:03 WA9PIE Fix Build => (select)
2015-09-29 13:03 WA9PIE Summary Bug: PSKReporter => PSKReporter
2017-08-18 10:00 n4kit Assigned To => WA9PIE
2017-08-18 10:00 n4kit Status acknowledged => assigned
2017-08-18 10:00 n4kit Status assigned => acknowledged
2017-08-18 10:00 n4kit Sub-Module (select) => PSK Reporter
2017-08-18 10:00 n4kit Note Added: 0004037
2018-04-14 18:31 K7ZCZ Note Added: 0004822
2018-04-14 18:34 K7ZCZ Status acknowledged => resolved
2018-04-14 18:34 K7ZCZ Resolution open => fixed
2018-04-14 18:34 K7ZCZ Testing => Not Started
2018-04-14 18:34 K7ZCZ Note Added: 0004823
2018-04-17 07:25 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-05-03 20:10 K7ZCZ Fixed in Version => 6.4.0.837
2018-05-12 01:04 WA9PIE Note Added: 0005001
2018-05-12 12:56 k2dls Note Added: 0005021
2018-05-12 18:55 vk2byi File Added: Test Results Mantis 0001357.jpg
2018-05-12 18:55 vk2byi Note Added: 0005024
2018-05-12 19:41 vk2byi Note Added: 0005026
2018-05-12 23:50 WA9PIE Status resolved => closed
2018-05-12 23:50 WA9PIE Testing Not Started => Beta Successful
2018-05-13 15:25 WA9PIE Fixed in Version 6.4.0.837 => 6.4.0.840
2018-05-13 15:26 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe